StayUnsheathed = LibStub("AceAddon-3.0"):NewAddon("TimerTest", "AceTimer-3.0", "AceConsole-3.0")

function StayUnsheathed:OnInitialize()
  StayUnsheathed:RegisterChatCommand("stayunsheathed","slashfunc")
  StayUnsheathed:RegisterChatCommand("su","slashfunc")
  StayUnsheathed.EnabledState = true
end

function StayUnsheathed:slashfunc(input)
	if input == "" or input == "help" then
	  print("StayUnsheathed options menu.")
	  print("Avaliable options")
	  print("/su Enable (Enables the addon).")
          print("/su Disable (Disables the addon)\nStayUnsheathed is: " .. trueFalseToEnabledDisabled(StayUnsheathed.EnabledState))
	  --print("/su primary (true/false) disables/enables the addon in your primary spec.\nCurrently: <EnableState>")
	  --print("/su secondary (true/false) disables/enables the addon in your secondary spec.\nCurrently: <EnableState>")
end

	if input == "enable" then
	  enableStayUnsheathed()
	end
	
	if input == "disable" then
	  disableStayUnsheathed()
	end

end

function toggleEnable()
  if isEnabled() then
    disableStayUnsheathed()
  else
    enableStayUnsheathed()
  end
end

function enableStayUnsheathed()
  StayUnsheathed.EnabledState = true  
  print("StayUnsheathed is now Enabled.")
end

function disableStayUnsheathed()
  StayUnsheathed.EnabledState = false
  print("StayUnsheathed is now Disabled")
end

function trueFalseToEnabledDisabled(bool)
   if bool then return "Enabled" else return "Disabled" end
end

function isEnabled()
  return StayUnsheathed.EnabledState 
end

function StayUnsheathed:OnEnable()
  ToggleSheath()
  self.timerCount = 0
  self.testTimer = self:ScheduleRepeatingTimer("TimerFeedback", 3)
end

function StayUnsheathed:TimerFeedback()
  result = GetSheathState()
  if result == 1 and isEnabled() then
	ToggleSheath()
  end
end
